/*!	
	@file
	@brief	ゲーム側から使うテクスチャ
*/

#ifndef CTexture_h
#define CTexture_h


#include"../Setup/CompileMode.h"
#include"../template/Mathematics.h"

#include"../template/GlobalPointer.h"
#include"../Auxiliary/mstring.h"

#include"CSurfaceInfo.h"

namespace Maid
{
	class CGraphic;
	class CTexture : public GlobalPointer<CGraphic>
	{
	public:
		virtual ~CTexture(){}

		virtual SIZE2DI		GetSize()const=0;
		virtual PIXELFORMAT	GetPixelFormat()const=0;
		virtual mstring GetID() const=0;
		
		SIZE2DI		GetTextureSize()const;
	};
}

#endif
